# Magento 2 Product Slider by Mageplaza

## Documentations

- Installation Guide: https://docs.mageplaza.com/kb/installation.html
- User Guide: https://docs.mageplaza.com/product-slider-m2/
- Product Page: https://www.mageplaza.com/magento-2-product-slider-extension/
- FAQs: https://www.mageplaza.com/faqs/
- Contribute on Github: https://github.com/mageplaza/magento-2-product-slider/
- Get premium support from Mageplaza: Purchase Support package https://www.mageplaza.com/magento-2-extension-support-package/
- Changelog: https://www.mageplaza.com/changelog/m2-affiliate.txt
- License: https://www.mageplaza.com/LICENSE.txt

## How to install

### 1. via composer

```
composer require mageplaza/magento-2-product-slider
php bin/magento setup:upgrade
php bin/magento setup:static-content:deploy
```

### 2. Copy and paste

Download latest version at [Mageplaza](https://www.mageplaza.com/magento-2-product-slider-extension/)

Magento 2 Product Slider module allows showing all suggested products friendly that match to customer’s expectation.

- Support: Featured, On Sale, New Products, Category ID Products
- Responsive slider
- Casual OWL slider options (all options)
- Insert product slider anywhere on your store
- Easy to install and setup

Supporting the following Product slider types:

- On Sale Products Slider
- New Products Slider
- Most Viewed Products Slider
- Featured Products Slider



## How does it work?

When you enable Magento 2 Product Slider module and create the product sliders in the configuration, lists of your products will slide out in the lively and attractive way on the storefront with the animation effects you have chosen before. Along with product image, your clients can also see the price information, rating for the product and even Add to Cart button to proceed to the checkout whenever they need.

![magento 2 product slider](https://www.mageplaza.com/assets/img/extensions-images/magento-2-product-slider/product-slider-effect.gif)

## Supports multiple slider types

Product Slider Magento 2 extension supports a drop-down list of slider types:

- On Sale Products Slider
- New Products Slider
- Most Viewed Products Slider
- Featured Products Slider

## Fully responsive design

![magento 2 responsive product slider](https://www.mageplaza.com/assets/img/extensions-images/magento-2-product-slider/responsive.jpg)

With Product Slider for Magento 2, the slider display is free to custom how to be friendly with any touch devices like iPhone and iPad. You can set the breakpoint, the large, medium and small display to design the best performance.


## Insert Product Slider anywhere

Not only can you create unlimited sliders but Product Slider module also allows placing the sliders like content or sidebar additional at the top or bottom of any page on your website flexibly. The options you can put the sliders are:

- Home Page
- Category Page
- Product Page
- Cart Page
- Checkout Page
- Customer Page


## Custom product slider

Along with the performance of the slider, you can make individual product elements visible like name, price, rating, add to cart button, wishlist and compare links, etc. With a full of product information, it is easy to have a perfect look as well as create a new purchase quickly. If not, let hide them.


## Full feature list of Product Slider

- Display Featured Products
- Display New Products
- Display Bestsellers Products
- Display On sale Products
- Display Most viewed Products (coming soon)
- Create unlimited product slider
- Fully responsive slider
- Insert anywhere
- Insert easily: XMl, phtml file or widget
- Display products in a default basic grid
- Slider effects
- Pick product manually
- Effective configuration
- Setting in each slider
- Easy to install and setup
- Touch swipe for mobile devices
- Insert to CMS Pages, CMS Static or Homepage
- Display in Sidebar
- Support all browsers: Firefox, Chrome, IE, Safari Opera.

## Other features

- Display Featured Products
- Open source 100%.
- Easy to install and configure.
- User-friendly interface.
- Fully compatible with Mageplaza extensions
- Supports multiple stores.
- Supports multiple languages.

